module.exports = function(grunt) {
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),
        banner:'/*!\n * Copyright (c) Christopher Keefer, <%= grunt.template.today("yyyy") %>.\n' +
            ' * <%= pkg.name %>: V<%= pkg.version %>.\n' +
            ' * This file is generated by grunt - do not edit directly.\n' +
            ' * Alter source files as needed, then run `grunt` in project directory.\n' +
            ' * Compiled: <%= grunt.template.today("yyyy-mm-dd") %> \n */\n\n',
        uglify:{
            options:{
                banner:'<%= banner %>',
                report:'min'
            },
            jalc:{
                options:{
                    sourceMappingURL:'jalc.min.map',
                    sourceMapPrefix:2,
                    sourceMap:'dist/jalc.min.map'
                },
                src:'jquery-ajax-localstorage-cache.js',
                dest:'dist/jalc.min.js'
            }
        }
    });

    // Load plugins for each task
    grunt.loadNpmTasks('grunt-contrib-uglify');

    // Tasks
    grunt.registerTask('default', ['uglify']);
};
